> ## Documentation Index
> Fetch the complete documentation index at: https://docs.killb.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payout by ID

> Returns a single payout by ID for the authenticated customer.



## OpenAPI

````yaml https://killb.app/api/v2/open-api-json get /api/v2/payouts/{id}
openapi: 3.0.0
info:
  title: Tarantino V2 API
  description: Tarantino V2 REST API documentation
  version: 2.0.0
  contact: {}
servers:
  - url: https://sandbox.killb.app
    description: Sandbox
  - url: https://killb.app
    description: Production
security: []
tags: []
paths:
  /api/v2/payouts/{id}:
    get:
      tags:
        - Payouts
      summary: Get Payout by ID
      description: Returns a single payout by ID for the authenticated customer.
      operationId: PayoutController_getById
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreatePayoutResponseDto'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestResponse'
        '500':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
      security:
        - jwt: []
components:
  schemas:
    CreatePayoutResponseDto:
      type: object
      properties:
        id:
          type: string
          example: e8d74b2f-86df-43b0-a9d9-72055a6b0432
        amount:
          type: number
          example: 8000
        currency:
          type: string
          enum:
            - COP
            - USDC
            - USDT
          example: COP
        beneficiary:
          $ref: '#/components/schemas/BeneficiaryDto'
        status:
          type: string
          enum:
            - CREATED
            - COMPLETED
            - FAILED
            - ERROR
            - REFUNDED
            - CASH_IN_CREATED
            - CASH_IN_REQUEST
            - CASH_IN_REQUESTED
            - CASH_IN_PENDING
            - CASH_IN_PROCESSING
            - CASH_IN_COMPLETED
            - CASH_IN_CANCELED
            - CASH_IN_REJECTED
            - CASH_IN_FAILED
            - CASH_IN_ERROR
            - KYT_OUT_CREATE
            - KYT_OUT_PENDING
            - KYT_OUT_PROCESSING
            - KYT_OUT_COMPLETED
            - KYT_OUT_FAILED
            - CASH_OUT_CREATE
            - CASH_OUT_CREATED
            - CASH_OUT_REQUEST
            - CASH_OUT_REQUESTED
            - CASH_OUT_PENDING
            - CASH_OUT_PENDING_FILE
            - CASH_OUT_PROCESSING
            - CASH_OUT_COMPLETED
            - CASH_OUT_CANCELED
            - CASH_OUT_FAILED
            - CASH_OUT_ERROR
            - REFUND_CREATE
            - REFUND_CREATED
            - REFUND_REQUEST
            - REFUND_REQUESTED
            - REFUND_PENDING
            - REFUND_PROCESSING
            - REFUND_COMPLETED
            - REFUND_FAILED
          example: CASH_IN_CREATED
        details:
          type: string
          description: Notes about issues or observations related to the payout
          example: Payment processed successfully
        transferProof:
          type: string
          description: Proof of payment for the payout transfer
          example: https://example.com/proof.pdf
        externalId:
          type: string
          example: d00e4f43-2022-42f3-ba1c-dcf4c1dcd934
        metadata:
          type: object
          description: Arbitrary object provided by the client at payout creation.
          example:
            orderId: abc123
            channel: mobile
        createdAt:
          format: date-time
          type: string
          example: '2026-04-23T00:38:08.439Z'
        updatedAt:
          format: date-time
          type: string
          example: '2026-04-23T00:38:08.439Z'
      required:
        - id
        - amount
        - currency
        - beneficiary
        - status
        - createdAt
        - updatedAt
    BadRequestResponse:
      type: object
      properties:
        errorCode:
          type: string
          example: API_USER.0001
        arguments:
          type: array
          items:
            $ref: '#/components/schemas/BadRequestArgument'
        message:
          example:
            - User not found
            - Account not found
          type: array
          items:
            type: string
        statusCode:
          type: string
          example: '400'
      required:
        - errorCode
        - arguments
        - message
        - statusCode
    InternalServerErrorResponse:
      type: object
      properties:
        statusCode:
          type: string
          example: '500'
        message:
          example:
            - Internal server error
          type: array
          items:
            type: string
      required:
        - statusCode
        - message
    BeneficiaryDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - BANK
            - BREB
            - WALLET
          example: BANK
        account:
          oneOf:
            - title: BANK
              allOf:
                - $ref: '#/components/schemas/PSEAccountDto'
            - title: BREB
              allOf:
                - $ref: '#/components/schemas/BrebAccountDto'
            - title: WALLET
              allOf:
                - $ref: '#/components/schemas/WalletAccountDto'
      required:
        - type
        - account
    BadRequestArgument:
      type: object
      properties:
        key:
          type: string
          example: email
        value:
          type: string
          example: invalid@email.com
      required:
        - key
        - value
    PSEAccountDto:
      type: object
      properties:
        firstName:
          type: string
          description: Required if companyName is not present
          example: John
        middleName:
          type: string
          example: Carlos
        lastName:
          type: string
          description: Required if companyName is not present
          example: Doe
        companyName:
          type: string
          description: Required if firstName is not present
          example: Acme Corp
        email:
          type: string
          example: john.doe@example.com
        phone:
          type: string
          example: '+576015555555'
        document:
          oneOf:
            - title: Company document
              allOf:
                - $ref: '#/components/schemas/CompanyUserDocumentDto'
            - title: Person document
              allOf:
                - $ref: '#/components/schemas/PersonUserDocumentDto'
        accountNumber:
          type: string
          example: '10203049'
        bankCode:
          type: string
          description: You can find the code on the bank list endpoint
          example: '001'
        type:
          type: string
          enum:
            - savings
            - checking
          example: checking
        countryCode:
          type: string
          example: CO
      required:
        - document
        - accountNumber
        - bankCode
        - type
        - countryCode
    BrebAccountDto:
      type: object
      properties:
        firstName:
          type: string
          example: John
        middleName:
          type: string
          example: Carlos
        lastName:
          type: string
          example: Doe
        companyName:
          type: string
          example: Acme Corp
        email:
          type: string
          example: john.doe@example.com
        phone:
          type: string
          example: '+576015555555'
        document:
          oneOf:
            - title: Company document
              allOf:
                - $ref: '#/components/schemas/CompanyUserDocumentDto'
            - title: Person document
              allOf:
                - $ref: '#/components/schemas/PersonUserDocumentDto'
        aliasType:
          type: string
          enum:
            - NATIONAL_ID
            - PHONE
            - EMAIL
            - ALPHANUMERIC
            - BUSINESS_ID
          description: BREB alias type (national ID, phone, email, etc.)
          example: NATIONAL_ID
        alias:
          type: string
          description: BREB alias value
          example: '1234567890'
        countryCode:
          type: string
          description: Country code for BREB (Colombia only)
          example: CO
      required:
        - alias
    WalletAccountDto:
      type: object
      properties:
        firstName:
          type: string
          description: Required if companyName is not present
          example: John
        middleName:
          type: string
          example: Carlos
        lastName:
          type: string
          description: Required if companyName is not present
          example: Doe
        companyName:
          type: string
          description: Required if firstName is not present
          example: Acme Corp
        phone:
          type: string
          example: '+576015555555'
        email:
          type: string
          example: john.doe@example.com
        document:
          oneOf:
            - title: Company document
              allOf:
                - $ref: '#/components/schemas/CompanyUserDocumentDto'
            - title: Person document
              allOf:
                - $ref: '#/components/schemas/PersonUserDocumentDto'
        currency:
          type: string
          enum:
            - USDC
            - USDT
            - BTC
          example: USDC
        network:
          type: string
          enum:
            - POLYGON
            - SOLANA
            - BSC
            - TRON
          example: POLYGON
        address:
          type: string
          example: '0x742d35Cc6634C0532925a3b8D5a4C3F2e2B7e4d'
        countryCode:
          type: string
          example: US
      required:
        - document
        - currency
        - network
        - address
    CompanyUserDocumentDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - NIT
            - EIN
            - CNPJ
            - RFC
            - CUIT
            - USCC
            - RUT
            - CRN
          example: NIT
        number:
          type: string
          example: '123456'
        issuedCountryCode:
          type: string
          example: CO
      required:
        - type
        - number
        - issuedCountryCode
    PersonUserDocumentDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - PASSPORT
            - DRIVER_LICENSE
            - NUIP
            - RFC
            - SSN
            - CURP
            - CPF
            - INE
            - IFE
            - DNI
            - DUI
            - NIT
            - RUT
            - CHINESE_ID
            - BOLIVIAN_ID
            - CE
          example: PASSPORT
        number:
          type: string
          example: GE04292393
          format: alphanumeric
        issuedCountryCode:
          type: string
          example: CO
        expeditionDate:
          type: string
          example: '1992-01-01'
        cic:
          type: string
          example: '1111111111'
          description: Required if document type is INE
        identificadorCiudadano:
          type: string
          description: Required if document type is INE
          example: '1234567890'
        ocr:
          type: string
          example: '1111111111'
          description: Required if document type is IFE
        numeroEmision:
          type: string
          description: Required if document type is IFE
          example: '01'
      required:
        - type
        - number
        - issuedCountryCode
  securitySchemes:
    jwt:
      flows:
        implicit:
          authorizationUrl: /auth/login
          scopes: {}
      type: oauth2
      x-google-issuer: INTERNAL_PRODUCTION
      x-google-audiences: TARANTINO_API
      x-google-jwks_uri: https://storage.googleapis.com/public_keys_jwk/public-prod.json

````